<?xml version="1.0" encoding="ISO-8859-1"?>
<ClassTemplateAscx>

<!-- 
	TypeGeneration = Assembly | Include 
		Assembly = Geração de DLL e CodeBehind
		Include  = Geração de CodeBehind dentro do próprio ASCX
-->

<TypeGeneration><![CDATA[Include]]></TypeGeneration>

<CompilerOption><![CDATA[Debug]]></CompilerOption>

<Reference>
	<ItemReference><![CDATA[System.dll]]></ItemReference>
	<ItemReference><![CDATA[System.Data.dll]]></ItemReference>
	<ItemReference><![CDATA[System.XML.dll]]></ItemReference>
	<ItemReference><![CDATA[System.Web.dll]]></ItemReference>
  <ItemReference><![CDATA[%%ApplicationBin%%AjaxControlToolkit.dll]]></ItemReference>
  <ItemReference><![CDATA[%%ApplicationBin%%WebFoundations.WFForms.ToolBox.dll]]></ItemReference>
	<ItemReference><![CDATA[%%ApplicationBin%%WebFoundations.WFForms.Toolbox.Entity.dll]]></ItemReference>
	<ItemReference><![CDATA[%%ApplicationBin%%WebFoundations.WFForms.ToolBox.Web.UI.dll]]></ItemReference>
</Reference>

<Imports><![CDATA[Imports System.Web.UI.WebControls]]></Imports>

<HeaderClass><![CDATA[Public Class %%ClassName%%
    Inherits System.Web.UI.UserControl
    Implements WebFoundations.WFForms.ToolBox.Web.UI.ISubjectAdapterPage
    
]]></HeaderClass>
<HeaderFormDesigner><![CDATA[
#Region " Web Form Designer Generated Code "

    'This call is required by the Web Form Designer.
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()

    End Sub
]]></HeaderFormDesigner>
<ItemProtectedFormDesigner>
<![CDATA[    Protected WithEvents %%ProtectedName%% As %%ProtectedType%%]]>
</ItemProtectedFormDesigner>

<FooterFormDesigner><![CDATA[
	Protected WithEvents btnSalvar As WebFoundations.WFForms.ToolBox.Web.UI.Button
	
    'NOTE: The following placeholder declaration is required by the Web Form Designer.
    'Do not delete or move it.
    Private designerPlaceholderDeclaration As System.Object

    Private Sub Page_Init(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Init
        'CODEGEN: This method call is required by the Web Form Designer
        'Do not modify it using the code editor.
        InitializeComponent()
    End Sub

#End Region
]]></FooterFormDesigner>
<GlobalItemClass>
<![CDATA[]]>
</GlobalItemClass>
<ClassMember><![CDATA[]]></ClassMember>

<ClassMember>
<![CDATA[

    Public Function GetViewState() As System.Web.UI.StateBag Implements WebFoundations.WFForms.ToolBox.Web.UI.ISubjectAdapterPage.GetViewState
        Return Me.ViewState
    End Function

	Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'Put user code to initialize the page here
        Dim formHtm = Library.Objects.FindParentObject(Of HtmlForm)(Me, String.Empty)
        Dim t As PostBackTrigger = Nothing
                Dim updPanel = Library.Objects.FindChildObject(Of UpdatePanel)(formHtm, "updateformAuto")
                If (updPanel IsNot Nothing) Then
                    For ii = 0 To updPanel.ContentTemplateContainer.Controls.Count - 1
                        Dim contrl = updPanel.ContentTemplateContainer.Controls(ii)
                        If (contrl.GetType().ToString().Contains("Button") OrElse contrl.GetType().ToString().Contains("RadioButton")) Then
                            t = New PostBackTrigger()
                            t.ControlID = updPanel.ContentTemplateContainer.Controls(ii).ID
                            updPanel.Triggers.Add(t)
                        End If
                    Next
                End If
    End Sub
]]>
</ClassMember>

<ClassMember><![CDATA[]]></ClassMember>

<FooterClass><![CDATA[

End Class

]]>
</FooterClass>

</ClassTemplateAscx>
